Update a workflow
curl --request PUT \
--url https://connie.ai/api/workflows/{id} \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"name": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"graph": {
"nodes": "<array>",
"edges": "<array>",
"viewport": {},
"metadata": {}
},
"version": 123,
"body": [
"<string>"
],
"is_trigger_enabled": true,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://connie.ai/api/workflows/{id}"
payload = {
"name": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"graph": {
"nodes": "<array>",
"edges": "<array>",
"viewport": {},
"metadata": {}
},
"version": 123,
"body": ["<string>"],
"is_trigger_enabled": True,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
graph: {nodes: '<array>', edges: '<array>', viewport: {}, metadata: {}},
version: 123,
body: JSON.stringify(['<string>']),
is_trigger_enabled: true,
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://connie.ai/api/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflow": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"access_mode": "everyone",
"is_folder": true,
"parent_id": "<string>",
"workflow_mode": "pipeline",
"is_trigger_enabled": true,
"graph": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Workflows
Update a workflow
PUT
/
workflows
/
{id}
Update a workflow
Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
Workflow updated
Show child attributes
Show child attributes